import emc
import os
import hal
import hal_glib
  
class HandlerClass:
    def _on_max_value_change1(self,hal_pin,data=None):
        self.meter1.max = float(hal_pin.get())
        self.meter1.queue_draw() # force a widget redraw
    def _on_max_value_change2(self,hal_pin,data=None):
	self.meter2.max = float(hal_pin.get())
        self.meter2.queue_draw()
    def _on_max_value_change3(self,hal_pin,data=None):
	self.meter3.max = float(hal_pin.get())
        self.meter3.queue_draw()

    def __init__(self, halcomp,builder,useropts):
        self.builder = builder 
        # hal pin with change callback.
        # When the pin's value changes the callback is executed.
        self.max_value1 = hal_glib.GPin(halcomp.newpin('max-value1',  hal.HAL_FLOAT, hal.HAL_IN))
        self.max_value1.connect('value-changed', self._on_max_value_change1)
        inifile = emc.ini(os.getenv("INI_FILE_NAME"))
        mmin = float(inifile.find("METER", "MIN") or 0.0)
        self.meter1 = self.builder.get_object('hal_meter1')
        self.meter1.min = mmin

	self.max_value2 = hal_glib.GPin(halcomp.newpin('max-value2',  hal.HAL_FLOAT, hal.HAL_IN))
        self.max_value2.connect('value-changed', self._on_max_value_change2)
        #inifile = emc.ini(os.getenv("INI_FILE_NAME"))
        #mmin = float(inifile.find("METER", "MIN") or 0.0)
        self.meter2 = self.builder.get_object('hal_meter2')
        self.meter2.min = mmin

	self.max_value3 = hal_glib.GPin(halcomp.newpin('max-value3',  hal.HAL_FLOAT, hal.HAL_IN))
        self.max_value3.connect('value-changed', self._on_max_value_change3)
        #inifile = emc.ini(os.getenv("INI_FILE_NAME"))
        #mmin = float(inifile.find("METER", "MIN") or 0.0)
        self.meter3 = self.builder.get_object('hal_meter3')
        self.meter3.min = mmin
 
def get_handlers(halcomp,builder,useropts):
    return [HandlerClass(halcomp,builder,useropts)]
